FreeMat

- Main Page
- Related Pages

vtkExtractSelectedLocations

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractSelectedLocations extracts all cells whose volume contain at least one point listed in the LOCATIONS content of the vtkSelection. This filter adds a scalar array called vtkOriginalCellIds that says what input cell produced each output cell. This is an example of a Pedigree ID which helps to trace back results.

To create an instance of class vtkExtractSelectedLocations, simply invoke its constructor as follows

      obj = vtkExtractSelectedLocations

# Methods

The class vtkExtractSelectedLocations has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractSelectedLocations class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractSelectedLocations = obj.NewInstance ()`
- `vtkExtractSelectedLocations = obj.SafeDownCast (vtkObject o)`